Page MenuHomeFreeBSD

Added ptrace support for reading/writing powerpc VSX registers
ClosedPublic

Authored by lffpires_ruabrasil.org on May 16 2018, 8:05 PM.

Details

Summary

Added ptrace support for getting/setting the remaining part of the VSX registers (the part that's not already covered by FPR or VR registers).

This is necessary to add support for VSX registers in debuggers.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Looks fine to me. Very similar to what I did for Altivec.

This revision is now accepted and ready to land.May 16 2018, 8:17 PM
  • Added PT_GETVSRREGS/PT_SETVSRREGS to ptrace man pages
This revision now requires review to proceed.May 24 2018, 7:16 PM
This revision is now accepted and ready to land.May 31 2018, 4:47 AM
This revision was automatically updated to reflect the committed changes.